SIGROK-FWEXTRACT-SYSCLK-LWLA(1)

NAME
sigrok-fwextract-sysclk-lwla - Extract SysClk LWLA* firmware

SYNOPSIS
sigrok-fwextract-sysclk-lwla SETUP-EXE

DESCRIPTION
This tool extracts FPGA bitstreams from the vendor software for the SysClk LWLA1034 USB logic analyzer. Insert the CD-ROM that ships with the device, and locate the Windows installer executable "lwla1034_EN_setup.exe".

In order to extract the bitstreams, run the following command:

$ sigrok-fwextract-sysclk-lwla lwla1034_EN_setup.exe

Copy the resulting four bitstream files over to the location where libsigrok expects to find its firmware files. By default this is /usr/local/share/sigrok-firmware.

OPTIONS
None.

EXIT STATUS
Exits with 0 on success, 1 on most failures.

SEE ALSO
sigrok-fwextract-hantek-dso(1)

BUGS
Please report any bugs via Bugzilla (http://sigrok.org/bugzilla) or on the sigrok-devel mailing list (sigrok-devel@lists.souceforge.net).

LICENSE
This program is covered by the GNU General Public License (GPL), version 3 or later.

AUTHORS
Please see the individual source code files.